Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network123.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
123.128.0.0
Broadcast address
123.255.255.255
First usable
123.128.0.1
Last usable
123.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 7B800000 · Integer 2071986176 to 2080374783
Reverse DNS zones
128.123.in-addr.arpa
129.123.in-addr.arpa
130.123.in-addr.arpa
131.123.in-addr.arpa
132.123.in-addr.arpa
133.123.in-addr.arpa
134.123.in-addr.arpa
135.123.in-addr.arpa
136.123.in-addr.arpa
137.123.in-addr.arpa
138.123.in-addr.arpa
139.123.in-addr.arpa
140.123.in-addr.arpa
141.123.in-addr.arpa
142.123.in-addr.arpa
143.123.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111011.10000000.00000000.00000000123.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01111011.10000000.00000000.00000000123.128.0.0
Broadcast01111011.11111111.11111111.11111111123.255.255.255
Split into smaller subnets/20

123.128.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1123.128.0.0/20123.128.0.1 to 123.128.15.254123.128.15.2554,094
2123.128.16.0/20123.128.16.1 to 123.128.31.254123.128.31.2554,094
3123.128.32.0/20123.128.32.1 to 123.128.47.254123.128.47.2554,094
4123.128.48.0/20123.128.48.1 to 123.128.63.254123.128.63.2554,094
5123.128.64.0/20123.128.64.1 to 123.128.79.254123.128.79.2554,094
6123.128.80.0/20123.128.80.1 to 123.128.95.254123.128.95.2554,094
7123.128.96.0/20123.128.96.1 to 123.128.111.254123.128.111.2554,094
8123.128.112.0/20123.128.112.1 to 123.128.127.254123.128.127.2554,094
9123.128.128.0/20123.128.128.1 to 123.128.143.254123.128.143.2554,094
10123.128.144.0/20123.128.144.1 to 123.128.159.254123.128.159.2554,094
11123.128.160.0/20123.128.160.1 to 123.128.175.254123.128.175.2554,094
12123.128.176.0/20123.128.176.1 to 123.128.191.254123.128.191.2554,094
13123.128.192.0/20123.128.192.1 to 123.128.207.254123.128.207.2554,094
14123.128.208.0/20123.128.208.1 to 123.128.223.254123.128.223.2554,094
15123.128.224.0/20123.128.224.1 to 123.128.239.254123.128.239.2554,094
16123.128.240.0/20123.128.240.1 to 123.128.255.254123.128.255.2554,094
17123.129.0.0/20123.129.0.1 to 123.129.15.254123.129.15.2554,094
18123.129.16.0/20123.129.16.1 to 123.129.31.254123.129.31.2554,094
19123.129.32.0/20123.129.32.1 to 123.129.47.254123.129.47.2554,094
20123.129.48.0/20123.129.48.1 to 123.129.63.254123.129.63.2554,094
21123.129.64.0/20123.129.64.1 to 123.129.79.254123.129.79.2554,094
22123.129.80.0/20123.129.80.1 to 123.129.95.254123.129.95.2554,094
23123.129.96.0/20123.129.96.1 to 123.129.111.254123.129.111.2554,094
24123.129.112.0/20123.129.112.1 to 123.129.127.254123.129.127.2554,094
25123.129.128.0/20123.129.128.1 to 123.129.143.254123.129.143.2554,094
26123.129.144.0/20123.129.144.1 to 123.129.159.254123.129.159.2554,094
27123.129.160.0/20123.129.160.1 to 123.129.175.254123.129.175.2554,094
28123.129.176.0/20123.129.176.1 to 123.129.191.254123.129.191.2554,094
29123.129.192.0/20123.129.192.1 to 123.129.207.254123.129.207.2554,094
30123.129.208.0/20123.129.208.1 to 123.129.223.254123.129.223.2554,094
31123.129.224.0/20123.129.224.1 to 123.129.239.254123.129.239.2554,094
32123.129.240.0/20123.129.240.1 to 123.129.255.254123.129.255.2554,094
33123.130.0.0/20123.130.0.1 to 123.130.15.254123.130.15.2554,094
34123.130.16.0/20123.130.16.1 to 123.130.31.254123.130.31.2554,094
35123.130.32.0/20123.130.32.1 to 123.130.47.254123.130.47.2554,094
36123.130.48.0/20123.130.48.1 to 123.130.63.254123.130.63.2554,094
37123.130.64.0/20123.130.64.1 to 123.130.79.254123.130.79.2554,094
38123.130.80.0/20123.130.80.1 to 123.130.95.254123.130.95.2554,094
39123.130.96.0/20123.130.96.1 to 123.130.111.254123.130.111.2554,094
40123.130.112.0/20123.130.112.1 to 123.130.127.254123.130.127.2554,094
41123.130.128.0/20123.130.128.1 to 123.130.143.254123.130.143.2554,094
42123.130.144.0/20123.130.144.1 to 123.130.159.254123.130.159.2554,094
43123.130.160.0/20123.130.160.1 to 123.130.175.254123.130.175.2554,094
44123.130.176.0/20123.130.176.1 to 123.130.191.254123.130.191.2554,094
45123.130.192.0/20123.130.192.1 to 123.130.207.254123.130.207.2554,094
46123.130.208.0/20123.130.208.1 to 123.130.223.254123.130.223.2554,094
47123.130.224.0/20123.130.224.1 to 123.130.239.254123.130.239.2554,094
48123.130.240.0/20123.130.240.1 to 123.130.255.254123.130.255.2554,094
49123.131.0.0/20123.131.0.1 to 123.131.15.254123.131.15.2554,094
50123.131.16.0/20123.131.16.1 to 123.131.31.254123.131.31.2554,094
51123.131.32.0/20123.131.32.1 to 123.131.47.254123.131.47.2554,094
52123.131.48.0/20123.131.48.1 to 123.131.63.254123.131.63.2554,094
53123.131.64.0/20123.131.64.1 to 123.131.79.254123.131.79.2554,094
54123.131.80.0/20123.131.80.1 to 123.131.95.254123.131.95.2554,094
55123.131.96.0/20123.131.96.1 to 123.131.111.254123.131.111.2554,094
56123.131.112.0/20123.131.112.1 to 123.131.127.254123.131.127.2554,094
57123.131.128.0/20123.131.128.1 to 123.131.143.254123.131.143.2554,094
58123.131.144.0/20123.131.144.1 to 123.131.159.254123.131.159.2554,094
59123.131.160.0/20123.131.160.1 to 123.131.175.254123.131.175.2554,094
60123.131.176.0/20123.131.176.1 to 123.131.191.254123.131.191.2554,094
61123.131.192.0/20123.131.192.1 to 123.131.207.254123.131.207.2554,094
62123.131.208.0/20123.131.208.1 to 123.131.223.254123.131.223.2554,094
63123.131.224.0/20123.131.224.1 to 123.131.239.254123.131.239.2554,094
64123.131.240.0/20123.131.240.1 to 123.131.255.254123.131.255.2554,094
65123.132.0.0/20123.132.0.1 to 123.132.15.254123.132.15.2554,094
66123.132.16.0/20123.132.16.1 to 123.132.31.254123.132.31.2554,094
67123.132.32.0/20123.132.32.1 to 123.132.47.254123.132.47.2554,094
68123.132.48.0/20123.132.48.1 to 123.132.63.254123.132.63.2554,094
69123.132.64.0/20123.132.64.1 to 123.132.79.254123.132.79.2554,094
70123.132.80.0/20123.132.80.1 to 123.132.95.254123.132.95.2554,094
71123.132.96.0/20123.132.96.1 to 123.132.111.254123.132.111.2554,094
72123.132.112.0/20123.132.112.1 to 123.132.127.254123.132.127.2554,094
73123.132.128.0/20123.132.128.1 to 123.132.143.254123.132.143.2554,094
74123.132.144.0/20123.132.144.1 to 123.132.159.254123.132.159.2554,094
75123.132.160.0/20123.132.160.1 to 123.132.175.254123.132.175.2554,094
76123.132.176.0/20123.132.176.1 to 123.132.191.254123.132.191.2554,094
77123.132.192.0/20123.132.192.1 to 123.132.207.254123.132.207.2554,094
78123.132.208.0/20123.132.208.1 to 123.132.223.254123.132.223.2554,094
79123.132.224.0/20123.132.224.1 to 123.132.239.254123.132.239.2554,094
80123.132.240.0/20123.132.240.1 to 123.132.255.254123.132.255.2554,094
81123.133.0.0/20123.133.0.1 to 123.133.15.254123.133.15.2554,094
82123.133.16.0/20123.133.16.1 to 123.133.31.254123.133.31.2554,094
83123.133.32.0/20123.133.32.1 to 123.133.47.254123.133.47.2554,094
84123.133.48.0/20123.133.48.1 to 123.133.63.254123.133.63.2554,094
85123.133.64.0/20123.133.64.1 to 123.133.79.254123.133.79.2554,094
86123.133.80.0/20123.133.80.1 to 123.133.95.254123.133.95.2554,094
87123.133.96.0/20123.133.96.1 to 123.133.111.254123.133.111.2554,094
88123.133.112.0/20123.133.112.1 to 123.133.127.254123.133.127.2554,094
89123.133.128.0/20123.133.128.1 to 123.133.143.254123.133.143.2554,094
90123.133.144.0/20123.133.144.1 to 123.133.159.254123.133.159.2554,094
91123.133.160.0/20123.133.160.1 to 123.133.175.254123.133.175.2554,094
92123.133.176.0/20123.133.176.1 to 123.133.191.254123.133.191.2554,094
93123.133.192.0/20123.133.192.1 to 123.133.207.254123.133.207.2554,094
94123.133.208.0/20123.133.208.1 to 123.133.223.254123.133.223.2554,094
95123.133.224.0/20123.133.224.1 to 123.133.239.254123.133.239.2554,094
96123.133.240.0/20123.133.240.1 to 123.133.255.254123.133.255.2554,094
97123.134.0.0/20123.134.0.1 to 123.134.15.254123.134.15.2554,094
98123.134.16.0/20123.134.16.1 to 123.134.31.254123.134.31.2554,094
99123.134.32.0/20123.134.32.1 to 123.134.47.254123.134.47.2554,094
100123.134.48.0/20123.134.48.1 to 123.134.63.254123.134.63.2554,094
101123.134.64.0/20123.134.64.1 to 123.134.79.254123.134.79.2554,094
102123.134.80.0/20123.134.80.1 to 123.134.95.254123.134.95.2554,094
103123.134.96.0/20123.134.96.1 to 123.134.111.254123.134.111.2554,094
104123.134.112.0/20123.134.112.1 to 123.134.127.254123.134.127.2554,094
105123.134.128.0/20123.134.128.1 to 123.134.143.254123.134.143.2554,094
106123.134.144.0/20123.134.144.1 to 123.134.159.254123.134.159.2554,094
107123.134.160.0/20123.134.160.1 to 123.134.175.254123.134.175.2554,094
108123.134.176.0/20123.134.176.1 to 123.134.191.254123.134.191.2554,094
109123.134.192.0/20123.134.192.1 to 123.134.207.254123.134.207.2554,094
110123.134.208.0/20123.134.208.1 to 123.134.223.254123.134.223.2554,094
111123.134.224.0/20123.134.224.1 to 123.134.239.254123.134.239.2554,094
112123.134.240.0/20123.134.240.1 to 123.134.255.254123.134.255.2554,094
113123.135.0.0/20123.135.0.1 to 123.135.15.254123.135.15.2554,094
114123.135.16.0/20123.135.16.1 to 123.135.31.254123.135.31.2554,094
115123.135.32.0/20123.135.32.1 to 123.135.47.254123.135.47.2554,094
116123.135.48.0/20123.135.48.1 to 123.135.63.254123.135.63.2554,094
117123.135.64.0/20123.135.64.1 to 123.135.79.254123.135.79.2554,094
118123.135.80.0/20123.135.80.1 to 123.135.95.254123.135.95.2554,094
119123.135.96.0/20123.135.96.1 to 123.135.111.254123.135.111.2554,094
120123.135.112.0/20123.135.112.1 to 123.135.127.254123.135.127.2554,094
121123.135.128.0/20123.135.128.1 to 123.135.143.254123.135.143.2554,094
122123.135.144.0/20123.135.144.1 to 123.135.159.254123.135.159.2554,094
123123.135.160.0/20123.135.160.1 to 123.135.175.254123.135.175.2554,094
124123.135.176.0/20123.135.176.1 to 123.135.191.254123.135.191.2554,094
125123.135.192.0/20123.135.192.1 to 123.135.207.254123.135.207.2554,094
126123.135.208.0/20123.135.208.1 to 123.135.223.254123.135.223.2554,094
127123.135.224.0/20123.135.224.1 to 123.135.239.254123.135.239.2554,094
128123.135.240.0/20123.135.240.1 to 123.135.255.254123.135.255.2554,094
129123.136.0.0/20123.136.0.1 to 123.136.15.254123.136.15.2554,094
130123.136.16.0/20123.136.16.1 to 123.136.31.254123.136.31.2554,094
131123.136.32.0/20123.136.32.1 to 123.136.47.254123.136.47.2554,094
132123.136.48.0/20123.136.48.1 to 123.136.63.254123.136.63.2554,094
133123.136.64.0/20123.136.64.1 to 123.136.79.254123.136.79.2554,094
134123.136.80.0/20123.136.80.1 to 123.136.95.254123.136.95.2554,094
135123.136.96.0/20123.136.96.1 to 123.136.111.254123.136.111.2554,094
136123.136.112.0/20123.136.112.1 to 123.136.127.254123.136.127.2554,094
137123.136.128.0/20123.136.128.1 to 123.136.143.254123.136.143.2554,094
138123.136.144.0/20123.136.144.1 to 123.136.159.254123.136.159.2554,094
139123.136.160.0/20123.136.160.1 to 123.136.175.254123.136.175.2554,094
140123.136.176.0/20123.136.176.1 to 123.136.191.254123.136.191.2554,094
141123.136.192.0/20123.136.192.1 to 123.136.207.254123.136.207.2554,094
142123.136.208.0/20123.136.208.1 to 123.136.223.254123.136.223.2554,094
143123.136.224.0/20123.136.224.1 to 123.136.239.254123.136.239.2554,094
144123.136.240.0/20123.136.240.1 to 123.136.255.254123.136.255.2554,094
145123.137.0.0/20123.137.0.1 to 123.137.15.254123.137.15.2554,094
146123.137.16.0/20123.137.16.1 to 123.137.31.254123.137.31.2554,094
147123.137.32.0/20123.137.32.1 to 123.137.47.254123.137.47.2554,094
148123.137.48.0/20123.137.48.1 to 123.137.63.254123.137.63.2554,094
149123.137.64.0/20123.137.64.1 to 123.137.79.254123.137.79.2554,094
150123.137.80.0/20123.137.80.1 to 123.137.95.254123.137.95.2554,094
151123.137.96.0/20123.137.96.1 to 123.137.111.254123.137.111.2554,094
152123.137.112.0/20123.137.112.1 to 123.137.127.254123.137.127.2554,094
153123.137.128.0/20123.137.128.1 to 123.137.143.254123.137.143.2554,094
154123.137.144.0/20123.137.144.1 to 123.137.159.254123.137.159.2554,094
155123.137.160.0/20123.137.160.1 to 123.137.175.254123.137.175.2554,094
156123.137.176.0/20123.137.176.1 to 123.137.191.254123.137.191.2554,094
157123.137.192.0/20123.137.192.1 to 123.137.207.254123.137.207.2554,094
158123.137.208.0/20123.137.208.1 to 123.137.223.254123.137.223.2554,094
159123.137.224.0/20123.137.224.1 to 123.137.239.254123.137.239.2554,094
160123.137.240.0/20123.137.240.1 to 123.137.255.254123.137.255.2554,094
161123.138.0.0/20123.138.0.1 to 123.138.15.254123.138.15.2554,094
162123.138.16.0/20123.138.16.1 to 123.138.31.254123.138.31.2554,094
163123.138.32.0/20123.138.32.1 to 123.138.47.254123.138.47.2554,094
164123.138.48.0/20123.138.48.1 to 123.138.63.254123.138.63.2554,094
165123.138.64.0/20123.138.64.1 to 123.138.79.254123.138.79.2554,094
166123.138.80.0/20123.138.80.1 to 123.138.95.254123.138.95.2554,094
167123.138.96.0/20123.138.96.1 to 123.138.111.254123.138.111.2554,094
168123.138.112.0/20123.138.112.1 to 123.138.127.254123.138.127.2554,094
169123.138.128.0/20123.138.128.1 to 123.138.143.254123.138.143.2554,094
170123.138.144.0/20123.138.144.1 to 123.138.159.254123.138.159.2554,094
171123.138.160.0/20123.138.160.1 to 123.138.175.254123.138.175.2554,094
172123.138.176.0/20123.138.176.1 to 123.138.191.254123.138.191.2554,094
173123.138.192.0/20123.138.192.1 to 123.138.207.254123.138.207.2554,094
174123.138.208.0/20123.138.208.1 to 123.138.223.254123.138.223.2554,094
175123.138.224.0/20123.138.224.1 to 123.138.239.254123.138.239.2554,094
176123.138.240.0/20123.138.240.1 to 123.138.255.254123.138.255.2554,094
177123.139.0.0/20123.139.0.1 to 123.139.15.254123.139.15.2554,094
178123.139.16.0/20123.139.16.1 to 123.139.31.254123.139.31.2554,094
179123.139.32.0/20123.139.32.1 to 123.139.47.254123.139.47.2554,094
180123.139.48.0/20123.139.48.1 to 123.139.63.254123.139.63.2554,094
181123.139.64.0/20123.139.64.1 to 123.139.79.254123.139.79.2554,094
182123.139.80.0/20123.139.80.1 to 123.139.95.254123.139.95.2554,094
183123.139.96.0/20123.139.96.1 to 123.139.111.254123.139.111.2554,094
184123.139.112.0/20123.139.112.1 to 123.139.127.254123.139.127.2554,094
185123.139.128.0/20123.139.128.1 to 123.139.143.254123.139.143.2554,094
186123.139.144.0/20123.139.144.1 to 123.139.159.254123.139.159.2554,094
187123.139.160.0/20123.139.160.1 to 123.139.175.254123.139.175.2554,094
188123.139.176.0/20123.139.176.1 to 123.139.191.254123.139.191.2554,094
189123.139.192.0/20123.139.192.1 to 123.139.207.254123.139.207.2554,094
190123.139.208.0/20123.139.208.1 to 123.139.223.254123.139.223.2554,094
191123.139.224.0/20123.139.224.1 to 123.139.239.254123.139.239.2554,094
192123.139.240.0/20123.139.240.1 to 123.139.255.254123.139.255.2554,094
193123.140.0.0/20123.140.0.1 to 123.140.15.254123.140.15.2554,094
194123.140.16.0/20123.140.16.1 to 123.140.31.254123.140.31.2554,094
195123.140.32.0/20123.140.32.1 to 123.140.47.254123.140.47.2554,094
196123.140.48.0/20123.140.48.1 to 123.140.63.254123.140.63.2554,094
197123.140.64.0/20123.140.64.1 to 123.140.79.254123.140.79.2554,094
198123.140.80.0/20123.140.80.1 to 123.140.95.254123.140.95.2554,094
199123.140.96.0/20123.140.96.1 to 123.140.111.254123.140.111.2554,094
200123.140.112.0/20123.140.112.1 to 123.140.127.254123.140.127.2554,094
201123.140.128.0/20123.140.128.1 to 123.140.143.254123.140.143.2554,094
202123.140.144.0/20123.140.144.1 to 123.140.159.254123.140.159.2554,094
203123.140.160.0/20123.140.160.1 to 123.140.175.254123.140.175.2554,094
204123.140.176.0/20123.140.176.1 to 123.140.191.254123.140.191.2554,094
205123.140.192.0/20123.140.192.1 to 123.140.207.254123.140.207.2554,094
206123.140.208.0/20123.140.208.1 to 123.140.223.254123.140.223.2554,094
207123.140.224.0/20123.140.224.1 to 123.140.239.254123.140.239.2554,094
208123.140.240.0/20123.140.240.1 to 123.140.255.254123.140.255.2554,094
209123.141.0.0/20123.141.0.1 to 123.141.15.254123.141.15.2554,094
210123.141.16.0/20123.141.16.1 to 123.141.31.254123.141.31.2554,094
211123.141.32.0/20123.141.32.1 to 123.141.47.254123.141.47.2554,094
212123.141.48.0/20123.141.48.1 to 123.141.63.254123.141.63.2554,094
213123.141.64.0/20123.141.64.1 to 123.141.79.254123.141.79.2554,094
214123.141.80.0/20123.141.80.1 to 123.141.95.254123.141.95.2554,094
215123.141.96.0/20123.141.96.1 to 123.141.111.254123.141.111.2554,094
216123.141.112.0/20123.141.112.1 to 123.141.127.254123.141.127.2554,094
217123.141.128.0/20123.141.128.1 to 123.141.143.254123.141.143.2554,094
218123.141.144.0/20123.141.144.1 to 123.141.159.254123.141.159.2554,094
219123.141.160.0/20123.141.160.1 to 123.141.175.254123.141.175.2554,094
220123.141.176.0/20123.141.176.1 to 123.141.191.254123.141.191.2554,094
221123.141.192.0/20123.141.192.1 to 123.141.207.254123.141.207.2554,094
222123.141.208.0/20123.141.208.1 to 123.141.223.254123.141.223.2554,094
223123.141.224.0/20123.141.224.1 to 123.141.239.254123.141.239.2554,094
224123.141.240.0/20123.141.240.1 to 123.141.255.254123.141.255.2554,094
225123.142.0.0/20123.142.0.1 to 123.142.15.254123.142.15.2554,094
226123.142.16.0/20123.142.16.1 to 123.142.31.254123.142.31.2554,094
227123.142.32.0/20123.142.32.1 to 123.142.47.254123.142.47.2554,094
228123.142.48.0/20123.142.48.1 to 123.142.63.254123.142.63.2554,094
229123.142.64.0/20123.142.64.1 to 123.142.79.254123.142.79.2554,094
230123.142.80.0/20123.142.80.1 to 123.142.95.254123.142.95.2554,094
231123.142.96.0/20123.142.96.1 to 123.142.111.254123.142.111.2554,094
232123.142.112.0/20123.142.112.1 to 123.142.127.254123.142.127.2554,094
233123.142.128.0/20123.142.128.1 to 123.142.143.254123.142.143.2554,094
234123.142.144.0/20123.142.144.1 to 123.142.159.254123.142.159.2554,094
235123.142.160.0/20123.142.160.1 to 123.142.175.254123.142.175.2554,094
236123.142.176.0/20123.142.176.1 to 123.142.191.254123.142.191.2554,094
237123.142.192.0/20123.142.192.1 to 123.142.207.254123.142.207.2554,094
238123.142.208.0/20123.142.208.1 to 123.142.223.254123.142.223.2554,094
239123.142.224.0/20123.142.224.1 to 123.142.239.254123.142.239.2554,094
240123.142.240.0/20123.142.240.1 to 123.142.255.254123.142.255.2554,094
241123.143.0.0/20123.143.0.1 to 123.143.15.254123.143.15.2554,094
242123.143.16.0/20123.143.16.1 to 123.143.31.254123.143.31.2554,094
243123.143.32.0/20123.143.32.1 to 123.143.47.254123.143.47.2554,094
244123.143.48.0/20123.143.48.1 to 123.143.63.254123.143.63.2554,094
245123.143.64.0/20123.143.64.1 to 123.143.79.254123.143.79.2554,094
246123.143.80.0/20123.143.80.1 to 123.143.95.254123.143.95.2554,094
247123.143.96.0/20123.143.96.1 to 123.143.111.254123.143.111.2554,094
248123.143.112.0/20123.143.112.1 to 123.143.127.254123.143.127.2554,094
249123.143.128.0/20123.143.128.1 to 123.143.143.254123.143.143.2554,094
250123.143.144.0/20123.143.144.1 to 123.143.159.254123.143.159.2554,094
251123.143.160.0/20123.143.160.1 to 123.143.175.254123.143.175.2554,094
252123.143.176.0/20123.143.176.1 to 123.143.191.254123.143.191.2554,094
253123.143.192.0/20123.143.192.1 to 123.143.207.254123.143.207.2554,094
254123.143.208.0/20123.143.208.1 to 123.143.223.254123.143.223.2554,094
255123.143.224.0/20123.143.224.1 to 123.143.239.254123.143.239.2554,094
256123.143.240.0/20123.143.240.1 to 123.143.255.254123.143.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses